Last Comment Bug 399835 - Need pref for IMAP expunge threshold
: Need pref for IMAP expunge threshold
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3
Assigned To: Dale Wiggins
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 23:10 PDT by Jeff Beckley
Modified: 2007-11-24 01:22 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pref added and used (4.70 KB, patch)
2007-10-15 09:25 PDT, Jeff Beckley
no flags Details | Diff | Splinter Review
Pref added and used (4.70 KB, patch)
2007-10-15 09:26 PDT, Jeff Beckley
no flags Details | Diff | Splinter Review
Fix for pref type (4.70 KB, patch)
2007-10-15 10:01 PDT, Jeff Beckley
mozilla: review+
mscott: superreview+
Details | Diff | Splinter Review

Description Jeff Beckley 2007-10-14 23:10:13 PDT
When an IMAP account is using the IMAP delete model (i.e. deleted messages are not removed from the mailbox right away, but instead just marked as deleted), messages marked as deleted don't get permanently removed ("expunged" in IMAP terminology) until a certain number of messages have been marked as deleted.

Currently, that threshold is hard-coded at 20 messages.  It should instead be a preference which the user can set.
Comment 1 Jeff Beckley 2007-10-15 09:25:58 PDT
Created attachment 284944 [details] [diff] [review]
Pref added and used
Comment 2 Jeff Beckley 2007-10-15 09:26:58 PDT
Created attachment 284945 [details] [diff] [review]
Pref added and used

Here's an implementation of the pref, which is named "mail.imap.expunge_threshold_number".
Comment 3 Jeff Beckley 2007-10-15 09:32:35 PDT
Re-assigning to Dale Wiggins <dwiggins@qualcomm.com> since he's the one that wrote the code (I'm just submitting it for him).
Comment 4 Magnus Melin 2007-10-15 09:38:08 PDT
+static PRBool gExpungeThreshold = 20;

PRInt32 might work better;)
Comment 5 Jeff Beckley 2007-10-15 10:01:48 PDT
Created attachment 284951 [details] [diff] [review]
Fix for pref type

Argh!  Had that change locally, but it didn't make it in to the first patch.  Here it is now.
Comment 6 David :Bienvenu 2007-10-15 11:42:02 PDT
Comment on attachment 284951 [details] [diff] [review]
Fix for pref type

looks good, thx
Comment 7 Scott MacGregor 2007-11-15 10:36:28 PST
Comment on attachment 284951 [details] [diff] [review]
Fix for pref type

looks good!
Comment 8 Magnus Melin 2007-11-24 01:22:43 PST
Checking in mailnews/mailnews.js;
/cvsroot/mozilla/mailnews/mailnews.js,v  <--  mailnews.js
new revision: 3.308; previous revision: 3.307
done
Checking in mailnews/imap/src/nsImapProtocol.cpp;
/cvsroot/mozilla/mailnews/imap/src/nsImapProtocol.cpp,v  <--  nsImapProtocol.cpp
new revision: 1.672; previous revision: 1.671
done

->FIXED

Note You need to log in before you can comment on or make changes to this bug.